# get\_blobs\_by\_network

## Retrieves all blobs for a network within a time range.

> \- If \`start\` and \`end\` fields are omitted, then the endpoint will retrieve the blobs that correspond to the network across all time.\
> \- Returns an empty list if no blobs were found.\
> \- Returns an error if there was a database or RPC failure.\
> \
> A network typically represents data for an entire project e.g. a dePIN or AI network. For instance, a network operator may use this endpoint to check the global number of \*blob\* uploads across a given time period.<br>

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs_by_network","version":"0.1.0"},"tags":[{"name":"Blobs","description":"Methods for retrieving raw blob data"}],"servers":[{"url":"https://devnet.data-anchor.termina.technology","description":"Devnet endpoint"},{"url":"https://mainnet.data-anchor.termina.technology","description":"Mainnet endpoint"}],"paths":{"/":{"post":{"tags":["Blobs"],"operationId":"getBlobsByNetwork","summary":"Retrieves all blobs for a network within a time range.","description":"- If `start` and `end` fields are omitted, then the endpoint will retrieve the blobs that correspond to the network across all time.\n- Returns an empty list if no blobs were found.\n- Returns an error if there was a database or RPC failure.\n\nA network typically represents data for an entire project e.g. a dePIN or AI network. For instance, a network operator may use this endpoint to check the global number of *blob* uploads across a given time period.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBlobsByNetworkRequest"}}}},"responses":{"200":{"description":"RPC success with blob data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpcResponse_GetBlobsByNetwork"}}}},"400":{"description":"Invalid request payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpcError"}}}},"500":{"description":"Internal indexer error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpcError"}}}}}}}},"components":{"schemas":{"GetBlobsByNetworkRequest":{"allOf":[{"$ref":"#/components/schemas/RpcRequestBase"},{"type":"object","properties":{"params":{"$ref":"#/components/schemas/GetBlobsByNetworkParams"}}}]},"RpcRequestBase":{"type":"object","required":["id","jsonrpc","method"],"properties":{"id":{"type":"string","description":"Client-generated request identifier"},"jsonrpc":{"type":"string","enum":["2.0"],"description":"JSON-RPC version"},"method":{"type":"string","description":"RPC method name"}}},"GetBlobsByNetworkParams":{"type":"object","required":["network_name"],"properties":{"network_name":{"type":"string","description":"Name of the network (e.g. \"Cloud Network\")"},"start":{"type":"string","format":"date-time","description":"ISO timestamp, inclusive (optional)"},"end":{"type":"string","format":"date-time","description":"ISO timestamp, inclusive (optional)"}}},"RpcResponse_GetBlobsByNetwork":{"type":"object","required":["jsonrpc","id"],"properties":{"jsonrpc":{"type":"string","enum":["2.0"]},"id":{"type":"string"},"result":{"$ref":"#/components/schemas/GetBlobsByNetworkResult"},"error":{"$ref":"#/components/schemas/RpcError"}}},"GetBlobsByNetworkResult":{"type":"array","description":"Nested blob data (`Vec<Vec<u8>>`); empty if none","items":{"type":"array","items":{"type":"integer","format":"int32"}}},"RpcError":{"type":"object","required":["code","message"],"properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","nullable":true}}}}}}
```

## The RpcRequestBase object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs_by_network","version":"0.1.0"},"components":{"schemas":{"RpcRequestBase":{"type":"object","required":["id","jsonrpc","method"],"properties":{"id":{"type":"string","description":"Client-generated request identifier"},"jsonrpc":{"type":"string","enum":["2.0"],"description":"JSON-RPC version"},"method":{"type":"string","description":"RPC method name"}}}}}}
```

## The GetBlobsByNetworkParams object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs_by_network","version":"0.1.0"},"components":{"schemas":{"GetBlobsByNetworkParams":{"type":"object","required":["network_name"],"properties":{"network_name":{"type":"string","description":"Name of the network (e.g. \"Cloud Network\")"},"start":{"type":"string","format":"date-time","description":"ISO timestamp, inclusive (optional)"},"end":{"type":"string","format":"date-time","description":"ISO timestamp, inclusive (optional)"}}}}}}
```

## The GetBlobsByNetworkRequest object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs_by_network","version":"0.1.0"},"components":{"schemas":{"GetBlobsByNetworkRequest":{"allOf":[{"$ref":"#/components/schemas/RpcRequestBase"},{"type":"object","properties":{"params":{"$ref":"#/components/schemas/GetBlobsByNetworkParams"}}}]},"RpcRequestBase":{"type":"object","required":["id","jsonrpc","method"],"properties":{"id":{"type":"string","description":"Client-generated request identifier"},"jsonrpc":{"type":"string","enum":["2.0"],"description":"JSON-RPC version"},"method":{"type":"string","description":"RPC method name"}}},"GetBlobsByNetworkParams":{"type":"object","required":["network_name"],"properties":{"network_name":{"type":"string","description":"Name of the network (e.g. \"Cloud Network\")"},"start":{"type":"string","format":"date-time","description":"ISO timestamp, inclusive (optional)"},"end":{"type":"string","format":"date-time","description":"ISO timestamp, inclusive (optional)"}}}}}}
```

## The GetBlobsByNetworkResult object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs_by_network","version":"0.1.0"},"components":{"schemas":{"GetBlobsByNetworkResult":{"type":"array","description":"Nested blob data (`Vec<Vec<u8>>`); empty if none","items":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}
```

## The RpcResponse\_GetBlobsByNetwork object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs_by_network","version":"0.1.0"},"components":{"schemas":{"RpcResponse_GetBlobsByNetwork":{"type":"object","required":["jsonrpc","id"],"properties":{"jsonrpc":{"type":"string","enum":["2.0"]},"id":{"type":"string"},"result":{"$ref":"#/components/schemas/GetBlobsByNetworkResult"},"error":{"$ref":"#/components/schemas/RpcError"}}},"GetBlobsByNetworkResult":{"type":"array","description":"Nested blob data (`Vec<Vec<u8>>`); empty if none","items":{"type":"array","items":{"type":"integer","format":"int32"}}},"RpcError":{"type":"object","required":["code","message"],"properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","nullable":true}}}}}}
```

## The RpcError object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs_by_network","version":"0.1.0"},"components":{"schemas":{"RpcError":{"type":"object","required":["code","message"],"properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","nullable":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.termina.technology/documentation/open-source-contributions/modules/data-anchor/indexing-data/getting-blobs/get_blobs_by_network.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
